# Folders

Folders are containers in which you can organize information. Nested folders offer flexible organization controls. Large volumes of data and application assets can be organized into multi-nested folders by categories such as geographical markets, brands, and business functions. Granular permissions can be set for each folder to ensure security.

## Create new segment folder

 - [POST /audiences/{audienceId}/folders](https://docs.treasure.ai/apis/td_cdp_api-public/folders/paths/~1audiences~1%7Baudienceid%7D~1folders/post.md): Create a new parent segment folder.

## Retrieve single segment folder

 - [GET /audiences/{audienceId}/folders/{folderId}](https://docs.treasure.ai/apis/td_cdp_api-public/folders/paths/~1audiences~1%7Baudienceid%7D~1folders~1%7Bfolderid%7D/get.md): Retrieve a single segment folder based on a parent segment identifier.

## Update segment folder (legacy)

 - [PATCH /audiences/{audienceId}/folders/{folderId}](https://docs.treasure.ai/apis/td_cdp_api-public/folders/paths/~1audiences~1%7Baudienceid%7D~1folders~1%7Bfolderid%7D/patch.md): Update a segment folder.    _This endpoint is for Audience Studio legacy. For the latest Audience Studio, contact your Customer Success Representative._

## Delete segment folder (legacy)

 - [DELETE /audiences/{audienceId}/folders/{folderId}](https://docs.treasure.ai/apis/td_cdp_api-public/folders/paths/~1audiences~1%7Baudienceid%7D~1folders~1%7Bfolderid%7D/delete.md): Delete a segment folder.   _This endpoint is for Audience Studio legacy. For the latest Audience Studio, contact your Customer Success Representative._

## Move segment into folder (legacy)

 - [POST /audiences/{audienceId}/folders/{folderId}/put_in](https://docs.treasure.ai/apis/td_cdp_api-public/folders/paths/~1audiences~1%7Baudienceid%7D~1folders~1%7Bfolderid%7D~1put_in/post.md): Move a segment or segments into an existing folder.    _This endpoint is for Audience Studio legacy. For the latest Audience Studio, contact your Customer Success Representative._

## Retrieve list of objects under specified folder

 - [GET /entities/by-folder/{folderId}](https://docs.treasure.ai/apis/td_cdp_api-public/folders/paths/~1entities~1by-folder~1%7Bfolderid%7D/get.md): Retrieve a list of objects under a specified folder, including child folders, segments, batch segments, predictive scoring models, funnels, Profile API tokens and Journeys.

## Create folder

 - [POST /entities/folders](https://docs.treasure.ai/apis/td_cdp_api-public/folders/paths/~1entities~1folders/post.md): Create a new folder.

## Retrieve folder by ID

 - [GET /entities/folders/{id}](https://docs.treasure.ai/apis/td_cdp_api-public/folders/paths/~1entities~1folders~1%7Bid%7D/get.md): Retrieve a folder by ID.

## Update folder

 - [PATCH /entities/folders/{id}](https://docs.treasure.ai/apis/td_cdp_api-public/folders/paths/~1entities~1folders~1%7Bid%7D/patch.md): Update a folder by ID.

## Delete folder

 - [DELETE /entities/folders/{id}](https://docs.treasure.ai/apis/td_cdp_api-public/folders/paths/~1entities~1folders~1%7Bid%7D/delete.md): Delete a folder by ID.

